Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419833 - The loglevel was changed during upgrade
Summary: The loglevel was changed during upgrade
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Steve Milner
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 08:22 UTC by Anping Li
Modified: 2017-08-24 20:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-24 20:50:12 UTC
Target Upstream Version:


Attachments (Terms of Use)
Upgrade logs (1.12 MB, text/plain)
2017-02-08 01:30 UTC, Anping Li
no flags Details

Description Anping Li 2017-02-07 08:22:34 UTC
Description of problem:
When the loglevel isn't default values (OPTIONS=--loglevel=5). The loglevel will be reset to default value event if the option debug_level=5 was set in inventory.

Version-Release number of selected component (if applicable):
atomic-openshift-utils-3.5.3-1.git.0.80c2436.el7.noarch

How reproducible:
always

Steps to Reproduce:
1.  set debug_level=5 in inventory
2.  install OCP 3.4
3.  check the system configure file /etc/sysconfig/atomic-openshift-master
4.  upgrade Openshift to v3.5
5.  check the system configure file /etc/sysconfig/atomic-openshift-master again

Actual results:

Step 3. Before upgrade: OPTIONS=--loglevel=5
Step 5. After upgrade: OPTIONS=--loglevel=2


Expected results:
The upgrade playbook should only change what must be changed. it should keep the configuration  

Additional info:

Comment 1 Steve Milner 2017-02-07 16:18:32 UTC
Anping Li do you happen to have the output of the run (with facts, etc..) to match any executions I do against?

Comment 2 Steve Milner 2017-02-07 20:15:42 UTC
And what options did you use when doing the upgrade?

Comment 3 Anping Li 2017-02-08 01:30:23 UTC
Created attachment 1248531 [details]
Upgrade logs

Yes, and I found 
TASK [Configure Node settings] *************************************************
skipping: [openshift-203.lab.eng.nay.redhat.com] => (item={u'regex': u'^OPTIONS=', u'line': u'OPTIONS=--loglevel=5'})  => {
    "changed": false,
    "item": {
        "line": "OPTIONS=--loglevel=5",
        "regex": "^OPTIONS="
    },
    "skip_reason": "Conditional check failed",
    "skipped": true
}


Note You need to log in before you can comment on or make changes to this bug.